Package ghidra.pty.ssh

# Class SshPtySession

java.lang.Object
ghidra.pty.ssh.SshPtySession

All Implemented Interfaces:
  `PtySession`

public class SshPtySession extends Object implements PtySession

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SshPtySession(com.jcraft.jsch.Channel channel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  Get a human-readable description of the session
  `void`
  `destroyForcibly()`
  Take the greatest efforts to terminate the session (leader and descendants)
  `int`
  `waitExited()`
  Wait for the session leader to exit, returning its optional exit status code

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SshPtySession

    public SshPtySession(com.jcraft.jsch.Channel channel)

- ## Method Details

  - ### waitExited

    public int waitExited() throws InterruptedException
    Description copied from interface: `PtySession`
    Wait for the session leader to exit, returning its optional exit status code
    Specified by:
      `waitExited` in interface `PtySession`
    Returns:
      the status code, if applicable and implemented
    Throws:
      `InterruptedException` - if the wait is interrupted

  - ### destroyForcibly

    public void destroyForcibly()
    Description copied from interface: `PtySession`
    Take the greatest efforts to terminate the session (leader and descendants)

    If this represents a remote session, this should strive to release the remote resources consumed by this session. If that is not possible, this should at the very least release whatever local resources are used in maintaining and controlling the remote session.

    Specified by:
      `destroyForcibly` in interface `PtySession`

  - ### description

    public String description()
    Description copied from interface: `PtySession`
    Get a human-readable description of the session
    Specified by:
      `description` in interface `PtySession`
    Returns:
      the description